> For the complete documentation index, see [llms.txt](https://docs.yemreak.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yemreak.com/arsiv/yazilarim/pytest-ile-asyncio-runtimeerror-event-loop-is-closed-sorunu-coezuemue.md).

# pytest ile asyncio RuntimeError: Event loop is closed sorunu çözümü

PyTest ve AsyncIO kullanan uygulamanızda 'Event loop is closed' sorunu mu yaşıyorsunuz? Bu rehberde, session kapsamında ortak bir event\_loop kullanarak bu hatayı nasıl çözeceğinizi öğrenin.

* Tüm `session` içerisinde ortak `event_loop` kullanmamız gerekir
* `pytestmark` işleminden önce gelmesine dikkat edin

```python
from pytest import mark, fixture
from asyncio import get_event_loop_policy
from typing import Any

@fixture(scope="session")
def event_loop(request: Any):
    loop = get_event_loop_policy().new_event_loop()
    yield loop
    loop.close()

pytestmark = mark.asyncio(timeout=5, scope="session")
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.yemreak.com/arsiv/yazilarim/pytest-ile-asyncio-runtimeerror-event-loop-is-closed-sorunu-coezuemue.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
